# **AnalytiXHero Index To Documentation**

<small>Official Documentation To The Python Library - AnalytiXHero</small>

<br>

## **Installation**

Run This Code In Terminal To Install This Library In Python's Global Environment Or Python's Virtual Environment

```bash
pip install analytixhero
```

<br>

### **Common Notations**: 
- All Functions In The Library Have An Underscore To Separate Different Words In The Function Name And All Alphabets Are In Smallcase Like `date_time_encoder`, `combine_datasets` etc.
- All Classes In The Library Have No Underscore Between Words And First Letter Of Each Word Starts From A Capital Letter Like `FixOutliers`, `TreatNull` etc.

<br>

### **Informative Commands:**

```python
>>> import analytixhero as axh
>>> axh.__version__
'0.0.1'
>>> axh.__desc__
'Everything That Needs To Be Done While Preprocessing Data, May It Be Outlier Handling, Skewness/Kurtosis Minimization, Treating Null Spaces Etc. Can Be Done With Pre-Defined State-Of-Art Features.'
>>> axh.__all__
['combine_datasets', 'split_dataset', 'basic_info', 'eda', 'plot_analyze', 'binary_encoder', 'category_encoder', 'one_hot_encoder', 'date_time_encoder', 'TreatNull', 'FixOutliers', 'plot_outliers', 'Transform']
```

<br>

### **Documentations:** <br>

1. [combine_datasets Documentation](1.%20Combining%20Datasets.md)
2. [split_dataset Documentation](2.%20Splitting%20Dataset.md)
3. [basic_info Documentation](3.%20Basic%20Information%20Presentation.md)
4. [eda Documentation](4.%20Exploratory%20Data%20Analysis%20Presentation.md)
5. [plot_analyze Documentation](5.%20Plotting%20Graph%20On%20Different%20Basis.md)
6. [TreatNull Documentation](6.%20Null%20Values%20Handling.md)
7. [binary_encoder Documentation](7.%20Two%20Unique%20Values%20Encoding.md)
8. [category_encoder Documentation](8.%20Category%20Values%20Encoding.md)
9. [one_hot_encoder Documentation](9.%20One%20Hot%20Encoding%20For%20Categorical%20Values.md)
10. [date_time_encoder Documentation](10.%20DateTime%20Encoding.md)
11. [FixOutliers Documentation](11.%20Outliers%20Handling.md)
12. [plot_outliers Documentation](12.%20Plotting%20Outliers.md)
13. [Transform Documentation](13.%20Transformations%20On%20Dataset.md)

<br>

### **Example:**

**Input**:
```python
# Input

from analytixhero import FixOutliers, combine_datasets

# Assume We Have A Dataset Stored Whose Feature Values Are Stored In Variable X and Target Values Are Stored In Variable y

Data = combine_datasets(X, y)

fixOut = FixOutliers(approach = 'all', treatment = 'remove')

Data_New = fixOut.fit_transform(Data) 
# It Will Work On All Columns By Default

print(Data.shape) 
print(Data_new.shape)
```
**Output**:
```python
(150, 4)
(139, 4)
```
