# **Combining Datasets:**  `combine_datasets` Function

## `combine_datasets`: Used To Combine Two Datasets With Same Number Of Rows (Preferably: Data And Target) <br>



<br>

**Parameters of `combine_datasets`**:
1. __Train_Dataset__ (list, tuple, dictionary, numpy.ndarray, pandas.DataFrame) <br>
    - First Dataset Will Be Passed

2. __Target_Dataset__ (list, tuple, dictionary, numpy.ndarray, pandas.DataFrame) <br>
    - Second Dataset Will Be Passed

<br>

`Train_Dataset` and `Target_Dataset` Should Have Same Number Of Rows
 
<br>

**Returned Output by `combine_datasets`**:
- `numpy.ndarray` That Is Combined Form Of Both Passed Datasets

**Examples**:

```python
>>> from analytixhero import combine_datasets
>>> from sklearn.datasets import load_iris()
>>> Iris = load_iris()
>>> X = Iris.data
>>> y = Iris.target
>>> print(X.shape)
(150, 4)
>>> print(y.shape)
(150,)
>>> # Iris Dataset Is An Inbuilt Dataset In Scikit-Learn
>>> Data = combine_datasets(X, y)
>>> print(Data.shape)
(150, 5)
>>> print(Data)
[[5.1 3.5 1.4 0.2 0. ]
 [4.9 3.  1.4 0.2 0. ]
 [4.7 3.2 1.3 0.2 0. ]
 [4.6 3.1 1.5 0.2 0. ]
  ... ... ... ... .. 
  ... ... ... ... .. 
 [6.2 3.4 5.4 2.3 2. ]
 [5.9 3.  5.1 1.8 2. ]]
```