# **DateTime Encoding:**  `date_time_encoder` Function

## `date_time_encoder`: Used To Encode Those Columns Of Dataset That Have DateTime Values And Make New Columns Differentiating Year, Month, Day, Hours, Minutes And Seconds


<br>

**Parameters of `date_time_encoder`**:
1. __Dataset__ (list, tuple, dictionary, numpy.ndarray, pandas.DataFrame) <br>
    - Dataset Given By User

2. __Col_Names__ (str, int, list, tuple) <br>
Default Value: ['auto'] <br>
    - Single Columns Can Be Passed As str Or int (If Dataset Is Passed As `pandas.DataFrame` or `dict` Then Only Value Passed As `str` Will Be Accepted)
    - Multiple Columns Can Be Passed As list or tuple
    - ['auto']: If User Passes Default Value That Is ['auto'], Then Function Considers All Columns In Dataset That Have `Date Time Values`.

3. __delete_old__ (bool) <br>
Default Value: False<br>
Possible Values: True and False
    - True: Deletes The Original Columns After Encoding
    - False: Doesn't Deletes The Original Columns After Encoding

4. __dataframe__ (bool) <br>
Default Value: True<br>
Possible Values: True and False
    - True: Resulted Encoded Dataset Will Be A `pandas.DataFrame`
    - False: Resulted Encoded Dataset Will Be A `numpy.ndarray`

<br>

**Returned Output by `date_time_encoder`**:
- Encoded `numpy.ndarray` Or `pandas.DataFrame` Where Date Time Values Of The Considered Columns By Making The New Columns With Differentiating Year, Month, Day, Hours, Minute And Seconds.

<br>

**Examples**:

```python
>>> from analytixhero import date_time_encoder
>>> data = {
    'Name': ['John', 'Alice', 'Bob'],
    'Birthdate': ['1990-01-01', '1995-05-15', '1988-12-31'],
    'Timestamp': ['2021-09-01 10:30:00', '2021-09-02 14:45:00', '2021-09-03 08:15:00']
    }
>>> # Input Dataset Can Be list, tuple, dictionary, numpy.ndarray, pandas.DataFrame
>>> Encoded_Data = date_time_encoder(data, dataframe=False, delete_old=True)
>>> print(Encoded_Data)
[['John' 1990 1 1 2021 9 1 10 30]
 ['Alice' 1995 5 15 2021 9 2 14 45]
 ['Bob' 1988 12 31 2021 9 3 8 15]]
```

<small> AnalytiXHero Have Various Encoding Functions And All Of Them Differ From [Encoding Features Offered By Scikit-Learn](https://scikit-learn.org/stable/) In Some Or The Other Way</small>