# **Basic Information Presentation:**  `basic_info` Function

## `basic_info`: This Function Is Used To Print Some Basic Information About The Given Dataset <br>


<br>

**Parameters of `basic_info`**:
1. __Dataset__ (list, tuple, dictionary, numpy.ndarray, pandas.DataFrame) <br>
    - Dataset Given By User

<br>

**Printed Values by `basic_info`**:
- Number of Rows
- List Of Column Names
- Data Type Of Each Column
- Null Space In Each In Column

<br>

**Returned Output by `basic_info`**: <br>
<small> All That Is Printed Is Also Returned As A Tuple Of 4 Different Values In It </small>
- Number of Rows
- List Of Column Names
- Data Type Of Each Column
- Null Space In Each In Column

<br>

**Examples**:

```python
>>> from analytixhero import basic_info
>>> Data = {
    "Feature 1": [1,2,3,4],
    "Feature 2": [1,2,54,43],
    "Feature 3": ["Hello", "Hi", "Hi", "Hello"],
    "Feature 4": [None, None, None, 1]
    }
>>> # Input Dataset Can Be list, tuple, dictionary, numpy.ndarray, pandas.DataFrame
>>> basic_info(Data)
Number of Rows: 4


Column List: ['Feature 1', 'Feature 2', 'Feature 3', 'Feature 4']


Data Types:
Feature 1     int64
Feature 2     int64
Feature 3    object
Feature 4    float64
dtype: object


Null Spaces Of Every Data Type:
Feature 1    0
Feature 2    0
Feature 3    0
Feature 4    3
dtype: int64
>>> R, C, D, N = basic_info(Data)
>>> print(R)
4
>>> print(C)
['Feature 1', 'Feature 2', 'Feature 3', 'Feature 4']
>>> print(D)
Data Types:
Feature 1      int64
Feature 2      int64
Feature 3     object
Feature 4    float64
dtype: object
>>> print(N)
Feature 1    0
Feature 2    0
Feature 3    0
Feature 4    3
dtype: int64
```