# **Exploratory Data Analysis Presentation:**  `eda` Function

## `eda`: This Function Is Used To Print Different Exploratory Data Analysis Parameters For The Given Dataset <br>



<br>

**Parameters of `eda`**:
1. __Dataset__ (list, tuple, dictionary, numpy.ndarray, pandas.DataFrame) <br>
    - Dataset Given By User

2. __target_present__ (bool) <br>
Default Value: False <br>
Possible Values: True and False
    - True: If User Sets This Variable As True, Then Function Considers Last Column As Target Column And Doesn't Consider It For Exploratory Dataset Analysis
    - False: If User Sets This Variable As False, Then Function Considers Last Column As A Normal Dataset And Consider It For Exploratory Data Analysis

3. __show_message__ (bool) <br>
Default Value: True <br>
Possible Values: True and False
    - True: If User Sets This Variable As True, Then Functions Shows Important Message About The Function.
    - False: If User Sets This Variable As False, Then Function Doesn't Shows Important Message About The Function.

<br>

**Printed Values by `eda`**: <br>
<small>These Values Will Be Printed For All The Considered Columns</small>
- Mean For The Column
- Median For The Column
- Mode For The Column
- Skewness For The Column
- Kurtosis For The Column
- Minimum Value For The Column
- Maximum Value For The Column
- Range For The Column
- Standard Deviation For The Column

<br>

**Returned Output by `eda`**:
- None, It Just Prints The Value

<br>

**Examples**:

```python
>>> from analytixhero import eda
>>> Data = {
    'A': [1,2,3,4,5,6,7,8,9,10],
    'B': [100,300,500,700,900,1100,1300,1500,1700,1900],
    'C': [250,500,750,1000,1250,1500,1750,2000,2250,2500],
    'D': [2,4,6,8,10,12,14,16,18,20]
}
>>> eda(Data)
"It's Advised To Do Proper Encoding Before EDA
Note: Skewness and Kurtosis Returns NaN or Null Value If Data Is Nearly Identical"
Column Name: A
Mean: 5.5
Median: 5.5
Mode: 1
Skewness: 0.0
Kurtosis: -1.2242424242424244
Minimum: 1
Maximum: 10
Range: 9
Standard deviation: 3.0276503540974917


Column Name: B
Mean: 1000.0
Median: 1000.0
Mode: 100
Skewness: 0.0
Kurtosis: -1.2242424242424241
Minimum: 100
Maximum: 1900
Range: 1800
Standard deviation: 605.5300708194984


Column Name: C
Mean: 1375.0
Median: 1375.0
Mode: 250
Skewness: 0.0
Kurtosis: -1.2242424242424241
Minimum: 250
Maximum: 2500
Range: 2250
Standard deviation: 756.9125885243728


Column Name: D
Mean: 11.0
Median: 11.0
Mode: 2
Skewness: 0.0
Kurtosis: -1.2242424242424244
Minimum: 2
Maximum: 20
Range: 18
Standard deviation: 6.0553007081949835
```
<br>

```python
>>> from analytixhero import eda, combine_datasets
>>> # Check combine_datasets Documentation For Clear Understanding Of The Function
>>> from sklearn.datasets import load_iris
>>> # Iris Dataset Is An Inbuilt Dataset In Scikit-Learn
>>> Iris = load_iris()
>>> X = Iris.data
>>> y = Iris.target
>>> Dataset = combine_datasets(X, y)
>>> eda(Dataset, target_present=True, show_message=False)
Column Name: 0
Mean: 5.843333333333334
Median: 5.8
Mode: 5.0
Skewness: 0.3117530585022963
Kurtosis: -0.5735679489249765
Minimum: 4.3
Maximum: 7.9
Range: 3.6000000000000005
Standard deviation: 0.828066127977863


Column Name: 1
Mean: 3.0573333333333337
Median: 3.0
Mode: 3.0
Skewness: 0.31576710633893473
Kurtosis: 0.18097631752246768
Minimum: 2.0
Maximum: 4.4
Range: 2.4000000000000004
Standard deviation: 0.4358662849366982


Column Name: 2
Mean: 3.7580000000000005
Median: 4.35
Mode: 1.4
Skewness: -0.2721276664567214
Kurtosis: -1.3955358863990055
Minimum: 1.0
Maximum: 6.9
Range: 5.9
Standard deviation: 1.7652982332594662


Column Name: 3
Mean: 1.1993333333333336
Median: 1.3
Mode: 0.2
Skewness: -0.10193420656560036
Kurtosis: -1.336067405231553
Minimum: 0.1
Maximum: 2.5
Range: 2.4
Standard deviation: 0.7622376689603465


Target Is Mathematically Invalid, Even If It Is Not In Object Dtype
```