# **Plotting Graph On Different Basis:**  `plot_analyze` Function

## `plot_analyze`: This Function Is Used To Plot Graphs On Various Basis So That Dataset Columns Can Be Compared <br>



<br>

**Parameters of `plot_analyze`**:
1. __Data__ (list, tuple, dictionary, numpy.ndarray, pandas.DataFrame) <br>
    - Dataset Given By User

2. __Col_Names__ (str, int, list, tuple) <br>
Default Value: ['every'] <br>
    - Single Columns Can Be Passed As str Or int (If Dataset Is Passed As `pandas.DataFrame` Or `dict` Then Only Value Passed As `str` Will Be Accepted)
    - Multiple Columns Can Be Passed As list or tuple
    - ['every']: If User Passes Default Value That Is ['every'], Then Function Considers All Columns In Dataset

3. __basis__ (str) <br>
Default Value: 'standard' <br>
Possible Values: 'standard', 'skew', 'kurtosis', 'corr', 'var' and 'linear'
    - 'standard' : Plotted Graphs Will Just Be A Standard Frequency Based Bar Graph For All Passed Columns
    - 'skew' : Graphs Will Be Plotted On The Basis Of Skewness For All Passed Columns
    - 'kurtosis' : Graphs Will Be Plotted On The Basis Of Kurtosis For All Passed Columns
    - 'corr' : Correlation HeatMap Will Be Plotted For All Passed Columns
    - 'var' : Graphs Will Be Plotted On The Basis Of Variance For All Passed Columns
    - 'linear': Plotted Graphs Will Just Be A Standard Scatter Plot Graph For All Passed Columns

4. __index_present__ (bool) <br>
Default Value: False
Possible Values: True and False
    - True: User Specifies That The Dataset Passed Has First Column As Index Column.
    - False: User Specifies That The Dataset Passed Has First Column As An Important Column, Not Index Column.

<br>

**Returned Output by `plot_analyze`**:
- None, It Just Plots The Required Graph.

<br>

**Examples**:

```python
>>> from analytixhero import plot_analyze
>>> Data = {
    1: [1,2,34,93],
    2: [93,33,2,39],
    3: [84,747,93,20]
}
>>> plot_analyze(Data, Col_Names=[1,2], basis='var')
```
![](https://i.pinimg.com/564x/0b/fc/33/0bfc33bd484cabc39b7bef2ad8a35b0e.jpg)

<br>

```python
>>> from analytixhero import plot_analyze
>>> from sklearn.dataset import load_iris
>>> # Iris Dataset Is An Inbuilt Dataset In Scikit-Learn
>>> Iris = load_iris()
>>> X = Iris.data
>>> plot_analyze(X, basis='corr')
```

![](https://i.pinimg.com/564x/fe/76/ed/fe76ed68b028e53366ff6a42561d2564.jpg)
