# **Two Unique Values Encoding:**  `binary_encoder` Function

## `binary_encoder`: Used To Encode Those Columns Of Dataset That Only Have Two Unique Values


<br>

**Parameters of `binary_encoder`**:
1. __Dataset__ (list, tuple, dictionary, numpy.ndarray, pandas.DataFrame) <br>
    - Dataset Given By User

2. __Col_Names__ (str, int, list, tuple) <br>
Default Value: ['auto'] <br>
    - Single Columns Can Be Passed As str Or int (If Dataset Is Passed As `pandas.DataFrame` or `dict` Then Only Value Passed As `str` Will Be Accepted)
    - Multiple Columns Can Be Passed As list or tuple
    - ['auto']: If User Passes Default Value That Is ['auto'], Then Function Considers All Columns In Dataset That Have Only <u>_Two Unique_</u> Values.

<br>

**Returned Output by `binary_encoder`**:
- Encoded `numpy.ndarray` Where Two Unique Values Of The Column Are Encoded By `0` And `1`.

<br>

**Examples**:

```python
>>> from analytixhero import binary_encoder
>>> Data = {
    "Feature 1": [0, 1, 2, 3, 4],
    "Feature 2": [1, 2, 1, 2, 2],
    "Feature 3": ["Yes", "No", "Yes", "Yes", "No"]
    }
>>> # Input Dataset Can Be list, tuple, dictionary, numpy.ndarray, pandas.DataFrame
>>> Encoded_Data = binary_encoder(Data)
>>> print(Encoded_Data)
[[0 0 0]
 [1 1 1]
 [2 0 0]
 [3 1 0]
 [4 1 1]]
```

<br>

```python
from analytixhero import binary_encoder
>>> Data = {
    "Name":["John Doe", "Jason Doe", "Jason Doe"],
    "Gender": ["Male", "Male", "Female"],
    "Age": [19, 20, 19]
}
>>> Encoded_Data = binary_encoder(Data, Col_Names='Gender')
>>> # Col_Names Accept Values As <str> If Dataset Is Passed As pandas.DataFrame Or Dictionary
>>> print(Encoded_Data)
[['John Doe' 0 19]
 ['Jason Doe' 0 20]
 ['Jason Doe' 1 19]]
```

<small> AnalytiXHero Have Various Encoding Functions And All Of Them Differ From [Encoding Features Offered By Scikit-Learn](https://scikit-learn.org/stable/) In Some Or The Other Way</small>