# **Category Values Encoding:**  `category_encoder` Function

## `category_encoder`: Used To Encode Those Columns Of Dataset That Have Different Categories With Numeric Values


<br>

**Parameters of `category_encoder`**:
1. __Dataset__ (list, tuple, dictionary, numpy.ndarray, pandas.DataFrame) <br>
    - Dataset Given By User

2. __Col_Names__ (str, int, list, tuple) <br>
Default Value: ['auto'] <br>
    - Single Columns Can Be Passed As str Or int (If Dataset Is Passed As `pandas.DataFrame` or `dict` Then Only Value Passed As `str` Will Be Accepted)
    - Multiple Columns Can Be Passed As list or tuple
    - ['auto']: If User Passes Default Value That Is ['auto'], Then Function Considers All Columns In Dataset That Have `Categorical Values`.

<br>

**Returned Output by `category_encoder`**:
- Encoded `numpy.ndarray` Where Categorical Values Of The Considered Columns 

<br>

**Examples**:

```python
>>> from analytixhero import category_encoder
>>> Data = {
    "Feature 1": [0, 1, 2, 3, 4],
    "Feature 2": ["Yellow", "White", "Yellow", "Blue", "White"],
    "Feature 3": ["Yes", "No", "Maybe", "Not Sure", "No"],
    "Feature 4": [0, 1, 1, 0, 0]
    }
>>> # Input Dataset Can Be list, tuple, dictionary, numpy.ndarray, pandas.DataFrame
>>> Encoded_Data = category_encoder(Data)
>>> print(Encoded_Data)
[[0 0 0 0]
 [1 1 1 1]
 [2 0 2 1]
 [3 2 3 0]
 [4 1 1 0]]
```

<small> AnalytiXHero Have Various Encoding Functions And All Of Them Differ From [Encoding Features Offered By Scikit-Learn](https://scikit-learn.org/stable/) In Some Or The Other Way</small>