# **One Hot Encoding For Categorical Values:**  `one_hot_encoder` Function

## `one_hot_encoder`: Used To Encode Those Columns Of Dataset That Have Different Categories With Binary Values By Making New Columns


<br>

**Parameters of `one_hot_encoder`**:
1. __Dataset__ (list, tuple, dictionary, numpy.ndarray, pandas.DataFrame) <br>
    - Dataset Given By User

2. __Col_Names__ (str, int, list, tuple) <br>
Default Value: ['auto'] <br>
    - Single Columns Can Be Passed As str Or int (If Dataset Is Passed As `pandas.DataFrame` or `dict` Then Only Value Passed As `str` Will Be Accepted)
    - Multiple Columns Can Be Passed As list or tuple
    - ['auto']: If User Passes Default Value That Is ['auto'], Then Function Considers All Columns In Dataset That Have `Categorical Values`.

3. __delete_old__ (bool) <br>
Default Value: False<br>
Possible Values: True and False
    - True: Deletes The Original Columns After Encoding
    - False: Doesn't Deletes The Original Columns After Encoding

4. __label_data_present__ (bool) <br>
Default Value: False<br>
Possible Values: True and False
    - True: Function Doesn't Considers Last Column As It's Considered As Target Data With Categorical Label Values
    - False: Function Considers Last Column

5. __dataframe__ (bool) <br>
Default Value: True<br>
Possible Values: True and False
    - True: Resulted Encoded Dataset Will Be A `pandas.DataFrame`
    - False: Resulted Encoded Dataset Will Be A `numpy.ndarray`

<br>

**Returned Output by `one_hot_encoder`**:
- Encoded `numpy.ndarray` Or `pandas.DataFrame` Where Categorical Values Of The Considered Columns By Making The New Columns With Binary Values

<br>

**Examples**:

```python
>>> from analytixhero import one_hot_encoder
>>> Data = {
    "Feature 1": ["Yellow", "Blue", "Red", "White", "Blue"],
    "Feature 2": [0, 1, 1, 0, 0]
    }
>>> # Input Dataset Can Be list, tuple, dictionary, numpy.ndarray, pandas.DataFrame
>>> Encoded_Data = one_hot_encoder(Data, delete_old=True)
>>> print(Encoded_Data)
  Feature 1_White  Feature 1_Red  Feature 1_Blue  Feature 1_Yellow  Feature 2
0               0              0               0                 1          0
1               0              0               1                 0          1
2               0              1               0                 0          1
3               1              0               0                 0          0
4               0              0               1                 0          0
```

<small> AnalytiXHero Have Various Encoding Functions And All Of Them Differ From [Encoding Features Offered By Scikit-Learn](https://scikit-learn.org/stable/) In Some Or The Other Way</small>